package cn.nosum.support.annotation;

import org.springframework.core.annotation.AliasFor;
import org.springframework.stereotype.Component;

import java.lang.annotation.*;

/**
 * DynamicClass Annotation.
 *
 * @author Young
 */
@Component
@Documented
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface DynamicClass {

    @AliasFor(
            annotation = Component.class
    )
    String value() default "";

}
