package cn.nosum.dynamic.service.impl;

import cn.nosum.dynamic.service.DynamicService;
import cn.nosum.support.annotation.DynamicClass;
import cn.nosum.support.annotation.DynamicMethod;
import lombok.extern.slf4j.Slf4j;

/**
 * @author Young
 */
@Slf4j
@DynamicClass
public class DynamicServiceImpl implements DynamicService {

    @Override
//    @DynamicMethod(name = "testVoid1")
    public void testVoid1(String a, String b, String c) {
        log.info("testVoid1 a is {},b is {},c is {}", a, b, c);
    }

    @Override
//    @DynamicMethod(name = "testVoid2")
    public void testVoid2(String a, String b, String c) {
        log.info("testVoid2 a is {},b is {},c is {}", a, b, c);
    }

    @Override
//    @DynamicMethod(name = "testParams")
    public String testParams1(String a, String b, String c) {
        log.info("testParams1 a is {},b is {},c is {}", a, b, c);
        return a + b + c;
    }

    @Override
    @DynamicMethod(name = "testParams2")
    public String testParams2(String a, String b, String c) {
        log.info("testParams2 a is {},b is {},c is {}", a, b, c);
        return a + b + c;
    }
}

