package cn.nosum.http.entity;

import lombok.Builder;
import lombok.Data;

import java.io.File;
import java.io.InputStream;
import java.io.Serializable;

/**
 * 文件上传请求实体类.
 *
 * @author Young
 */
@Data
@Builder
public class UploadRequest implements Serializable {

    /**
     * 文件内容
     */
    private InputStream inputStream;

    /**
     * 参数名称
     */
    private String name;

    /**
     * 文件名称
     */
    private String fileName;
}
