package cn.nosum.wx.common.utils.xml;

import com.thoughtworks.xstream.converters.basic.StringConverter;

/**
 * CDATA 内容转换器，加上CDATA标签.
 *
 * @author Young
 */
public class XStreamCDataConverter extends StringConverter {

    @Override
    public String toString(Object obj) {
        return "<![CDATA[" + super.toString(obj) + "]]>";
    }

}
