package cn.nosum.wx.cp.config;

import lombok.Data;

/**
 * 企业微信配置.
 *
 * @author Young
 */
@Data
public class WxCpAppProperties {

    /**
     * 设置企业微信应用的AgentId
     */
    private Integer agentId;

    /**
     * 设置企业微信应用的Secret
     */
    private String secret;

    /**
     * 设置企业微信应用的token
     */
    private String token;

    /**
     * 设置企业微信应用的EncodingAESKey
     */
    private String aesKey;
}