package cn.nosum.wx.cp.entity.message;

import cn.nosum.wx.common.api.WxConsts;
import cn.nosum.wx.common.utils.xml.XStreamReplaceNameConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamConverter;
import lombok.Data;
import lombok.EqualsAndHashCode;

@XStreamAlias("xml")
@Data
@EqualsAndHashCode(callSuper = false)
public class WxCpXmlOutTaskCardMessage extends WxCpXmlOutMessage {
  private static final long serialVersionUID = 7028014900972827324L;

  @XStreamAlias("TaskCard")
  @XStreamConverter(value = XStreamReplaceNameConverter.class)
  private String replaceName;

  public WxCpXmlOutTaskCardMessage() {
    this.msgType = WxConsts.XmlMsgType.UPDATE_TASKCARD;
  }

}
