package cn.nosum.wx.cp.entity.outxmlbuilder;


import cn.nosum.wx.cp.entity.message.WxCpXmlOutVoiceMessage;

/**
 * 语音消息builder
 *
 * @author Young
 */
public final class VoiceBuilder extends BaseBuilder<VoiceBuilder, WxCpXmlOutVoiceMessage> {

    private String mediaId;

    public VoiceBuilder mediaId(String mediaId) {
        this.mediaId = mediaId;
        return this;
    }

    @Override
    public WxCpXmlOutVoiceMessage build() {
        WxCpXmlOutVoiceMessage m = new WxCpXmlOutVoiceMessage();
        setCommon(m);
        m.setMediaId(this.mediaId);
        return m;
    }

}
