package cn.nosum.wx.cp.entity.taskcard;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 任务卡片按钮
 *
 * @author Young
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskCardButton implements Serializable {
    private static final long serialVersionUID = -4301684507150486556L;

    private String key;
    private String name;
    private String replaceName;
    private String color;
    private Boolean bold;
}
