package cn.nosum.support.annotation;

import org.springframework.stereotype.Component;

import java.lang.annotation.*;

/**
 * DynamicMethod Annotation.
 *
 * @author Young
 */
@Component
@Documented
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface DynamicMethod {

    /**
     * 名称.
     */
    String name() default "";
}
