package cn.nosum.support.config;

import cn.nosum.support.proxy.InvocationHandlerFactory;
import cn.nosum.support.proxy.ReflectiveDynamicClientCreator;
import cn.nosum.support.proxy.Target;

/**
 * The proxy class creates the wrapper.
 *
 * @author Young
 */
class DefaultTargeter implements Targeter {
    @Override
    public <T> T target(DynamicClientFactoryBean factory, InvocationHandlerFactory handlerFactory, Target<T> target) {
        return new ReflectiveDynamicClientCreator(handlerFactory).newInstance(target);
    }
}
