package cn.nosum.support.config;

import cn.nosum.support.proxy.InvocationHandlerFactory;
import cn.nosum.support.proxy.Target;

/**
 * The proxy class creates the wrapper.
 *
 * @author Young
 */
interface Targeter {

    /**
     * Create proxy class
     *
     * @param factory        bean factory
     * @param handlerFactory proxy factory
     * @param target         target object information
     * @return proxy instance
     */
    <T> T target(DynamicClientFactoryBean factory, InvocationHandlerFactory handlerFactory, Target<T> target);

}
