package cn.nosum.support.proxy;

/**
 * dynamic method client instance creator。
 *
 * @author Young
 */
public abstract class DynamicClientCreator {

    /**
     * Create a dynamic method client instance
     *
     * @param target target object information
     * @return dynamic method client instance
     */
    public abstract <T> T newInstance(Target<T> target);
}
