package cn.nosum.chain.controller;

import cn.nosum.chain.constants.ChainConstants;
import cn.nosum.chain.context.ChainContext;
import cn.nosum.support.processor.ResponsibilityChainProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Young
 */
@RestController
public class ChainController {

    @Autowired
    private ResponsibilityChainProcessor<ChainContext> processor;

    @GetMapping("call")
    public void call() {
        ChainContext context = new ChainContext();
        context.setName("call");
        processor.handle(context, ChainConstants.CHAIN_GROUP_NAME);
    }
}
