package cn.nosum.dynamic.controller;

import cn.nosum.dynamic.client.DynamicClientTest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Young
 */
@RestController
@RequestMapping("/")
public class DynamicController {

    @Autowired
    private DynamicClientTest dynamicClientTest;

    @RequestMapping("/void/{methodName}")
    public String testVoid(@PathVariable(value = "methodName") String methodName){
        dynamicClientTest.testVoid(methodName,"a","b","c");
        return null;
    }

    @RequestMapping("/param/{methodName}")
    public String testParam(@PathVariable(value = "methodName") String methodName){
        return dynamicClientTest.testParams(methodName,"a","b","c");
    }
}
