package cn.nosum.wx.cp.controller;

import cn.nosum.wx.cp.api.WxCpMessageService;
import cn.nosum.wx.cp.config.WxCpConfiguration;
import cn.nosum.wx.cp.entity.message.WxCpMessage;
import cn.nosum.wx.cp.entity.message.WxCpMessageSendResult;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 企业微信消息推送.
 *
 * @author Young
 */
@RestController
@RequestMapping("/wx/message")
public class MessageController {

    @RequestMapping("/text")
    public WxCpMessageSendResult sendText(Integer appId){
        WxCpMessageService messageService = WxCpConfiguration.getCpService(appId).getMessageService();
        WxCpMessage wxCpMessage = WxCpMessage.textCard()
                .btnTxt("立即处理")
                .title("待添加服务记录")
                .description("测试消息通知")
                .url("https://htzqsit.moguyun.com/isales-content-assist/mot-customer-list/without-record").build().atAll();
        return messageService.send(wxCpMessage);
    }
}
