package cn.nosum.http;

/**
 * httpClient 客户端获取接口.
 *
 * @param <H> httpClient
 * @param <P> httpProxy
 * @author Young
 */
public abstract class AbsRequestHttp<H, P> implements RequestHttp<H, P>{

    protected H httpClient;

    protected P httpProxy;

    @Override
    public H getRequestHttpClient() {
        return this.httpClient;
    }

    @Override
    public P getRequestHttpProxy() {
        return httpProxy;
    }

}
