package cn.nosum.http;

/**
 * http请求响应回调处理接口.
 *
 * @param <R> 返回值类型
 * @author Young
 */
public interface ResponseHandler<T,R> {

    /**
     * 响应结果处理.
     *
     * @param responseContent 响应内容
     * @return 处理后的返回值
     */
    R handle(T responseContent);

}
