package cn.nosum.http.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Builder;
import lombok.Data;

import java.io.OutputStream;

/**
 * 文件下载响应.
 *
 * @author Young
 */
@Data
@Builder
public class DownloadResponse {

    /**
     * 响应流
     */
    @JsonIgnore
    private transient OutputStream outputStream;

    /**
     * 文件名称
     */
    private String fileName;


    /**
     * 响应类型
     */
    private String contentType;
}
