package cn.nosum.wx.common.entity;

import lombok.Data;
import cn.nosum.wx.common.utils.json.WxGsonBuilder;

import java.io.Serializable;

/**
 * access token.
 *
 * @author Young
 */
@Data
public class WxAccessToken implements Serializable {
    private static final long serialVersionUID = 8709719312922168909L;

    private String accessToken;

    private int expiresIn = -1;

    public static WxAccessToken fromJson(String json) {
        return WxGsonBuilder.create().fromJson(json, WxAccessToken.class);
    }

}
