package cn.nosum.wx.common.entity.ocr;

import cn.nosum.wx.common.utils.json.WxGsonBuilder;
import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.io.Serializable;

/**
 * 微信 OCR 图片大小.
 *
 * @author Young
 */
@Data
public class WxOcrImgSize implements Serializable {
    private static final long serialVersionUID = 5234409123551074168L;

    @SerializedName("w")
    private int w;
    @SerializedName("h")
    private int h;

    @Override
    public String toString() {
        return WxGsonBuilder.create().toJson(this);
    }
}
