package cn.nosum.wx.common.error;

import cn.nosum.http.exception.HttpError;
import cn.nosum.http.exception.HttpErrorException;

/**
 * 微信 API 调用异常.
 *
 * @author Young
 */
public class WxErrorException extends HttpErrorException {

    private static final long serialVersionUID = -6357149550353160810L;

    public WxErrorException(String message) {
        super(message);
    }

    public WxErrorException(HttpError error) {
        super(error);
    }

    public WxErrorException(HttpError error, Throwable cause) {
        super(error, cause);
    }

    public WxErrorException(Throwable cause) {
        super(cause);
    }
}
