package cn.nosum.wx.cp.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 *  用oauth2获取用户信息的结果类
 *
 * @author Young
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WxCpOauth2UserInfo implements Serializable {
  private static final long serialVersionUID = -4301684507150486556L;
  
  private String openId;
  private String deviceId;
  private String userId;
  private String userTicket;
  private String expiresIn;
  private String externalUserId;
}
