package cn.nosum.wx.cp.entity.outxmlbuilder;


import cn.nosum.wx.cp.entity.message.WxCpXmlOutTaskCardMessage;

/**
 * 任务卡片消息builder
 *
 * @author Young
 */
public final class TaskCardBuilder extends BaseBuilder<TaskCardBuilder, WxCpXmlOutTaskCardMessage> {

    private String replaceName;

    public TaskCardBuilder replaceName(String replaceName) {
        this.replaceName = replaceName;
        return this;
    }

    @Override
    public WxCpXmlOutTaskCardMessage build() {
        WxCpXmlOutTaskCardMessage m = new WxCpXmlOutTaskCardMessage();
        setCommon(m);
        m.setReplaceName(this.replaceName);
        return m;
    }

}
