package cn.nosum.wx.cp.entity.outxmlbuilder;


import cn.nosum.wx.cp.entity.message.WxCpXmlOutTextMessage;

/**
 * 文本消息builder
 *
 * @author Young
 */
public final class TextBuilder extends BaseBuilder<TextBuilder, WxCpXmlOutTextMessage> {
    private String content;

    public TextBuilder content(String content) {
        this.content = content;
        return this;
    }

    @Override
    public WxCpXmlOutTextMessage build() {
        WxCpXmlOutTextMessage m = new WxCpXmlOutTextMessage();
        setCommon(m);
        m.setContent(this.content);
        return m;
    }
}
