package cn.nosum.wx.cp.utils.json;

import cn.nosum.wx.common.entity.menu.WxMenu;
import cn.nosum.wx.common.utils.json.WxMenuGsonAdapter;
import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;

import java.lang.reflect.Type;

/**
 * 企业号菜单json转换适配器.
 *
 * @author Young
 */
public class WxCpMenuGsonAdapter extends WxMenuGsonAdapter {

    @Override
    public WxMenu deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
        return this.buildMenuFromJson(json.getAsJsonObject().get("button").getAsJsonArray());
    }
}
